Subject: Re: bug#40688: 28.0.50; Advice And ByteCompile Behavior Change

From: Stefan Monnier <[email-masked]>
Date: Sun, 19 Apr 2020 12:49:00 -0400

IIUC after recompiling everything the problem disappeared.  If you
can't reproduce it any more, than I guess we can only close this
bug.

> As an example, Module emacspeak-advice.el advices vc-next-action --- and
> this module (emacspeak-advice) is loaded early on during emacspeak
> initialization.
>
> When I later call vc-next-action during an emacs session and the
> autoload pulls in vc.el, the advice definition loaded earlier is not
> activated -- I have to explicitly reload module emacspeak-advice.

In case you can still reproduce the problem, please show us what
`C-h o vc-next-action` tells you when you think it should have the
advice applied yet its behavior doesn't seem to be affected.

        Stefan